"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logger = void 0;
const log_level_1 = require("./log-level");
class Logger {
    constructor(logLevel = log_level_1.LogLevel.Information) {
        this.LogLevel = logLevel;
    }
    Debug(message) {
        this.Log(log_level_1.LogLevel.Debug, message);
    }
    Error(message) {
        this.Log(log_level_1.LogLevel.Error, message);
    }
    Information(message) {
        this.Log(log_level_1.LogLevel.Information, message);
    }
    Trace(message) {
        this.Log(log_level_1.LogLevel.Trace, message);
    }
    Warning(message) {
        this.Log(log_level_1.LogLevel.Warning, message);
    }
    Log(level, message) {
        if (this.LogLevel > log_level_1.LogLevel.Off && this.LogLevel >= level) {
            const logMessage = `[${log_level_1.LogLevel[level].toUpperCase()}]-${message}`;
            switch (level) {
                case log_level_1.LogLevel.Error:
                    console.error(logMessage);
                    break;
                case log_level_1.LogLevel.Warning:
                    console.warn(logMessage);
                    break;
                default:
                    console.log(logMessage);
                    break;
            }
        }
    }
}
exports.Logger = Logger;
//# sourceMappingURL=logger.js.map